create or replace
procedure P_DELETE_EMPTY_ITEXT_Q1B
as
begin
  delete from DT037 where DI025487 in (
    select DI025487 from DT037 where DI025488 ='DE' and DI025501 is null);
  commit;
end P_DELETE_EMPTY_ITEXT_Q1B;